Ad Account Reporting
Updated: Feb 5, 2026
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Reading
Provides the Report Builder’s response.
Example
GET /v25.0/{ad-account-id}/reporting HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
action_report_timeenum {impression, conversion, mixed, lifetime} |
action_report_time
|
attribution_windowsarray<enum {1d_view, 7d_view, 28d_view, 1d_click, 7d_click, 28d_click, 1d_ev, dda, default, 7d_view_first_conversion, 28d_view_first_conversion, 7d_view_all_conversions, 28d_view_all_conversions, skan_view, skan_click, skan_click_second_postback, skan_view_second_postback, skan_click_third_postback, skan_view_third_postback}> |
Attribution window for the actions.
|
comparison_time_range{‘since’:YYYY-MM-DD,’until’:YYYY-MM-DD} |
Map of time range objects for comparison.
since datetime
A date in the format of "YYYY-MM-DD", which means from the beginning midnight of that day.
until datetime
A date in the format of "YYYY-MM-DD", which means to the beginning midnight of the following day.
Show child parameters |
date_presetenum {today, yesterday, this_month, last_month, this_quarter, maximum, data_maximum, last_3d, last_7d, last_14d, last_28d, last_30d, last_90d, last_week_mon_sun, last_week_sun_sat, last_quarter, last_year, this_week_mon_today, this_week_sun_today, this_year} |
The date preset. Represents a relative time range.
|
default_summaryboolean |
Determine whether to return a summary. If this param is used, a summary section will be included with the metrics.
|
dimension_groupsarray<array<string>> |
The groups of dimensions, where each group is treated one dimension.
|
dimensionsarray<string> |
The dimensions required in the report.
|
filteringFilters used in report builder | Default value: Vec
Fields for the report to be filtered on.
field stringrequired operator enum {EQUAL, NOT_EQUAL, GREATER_THAN, GREATER_THAN_OR_EQUAL, LESS_THAN, LESS_THAN_OR_EQUAL, IN_RANGE, NOT_IN_RANGE, CONTAIN, NOT_CONTAIN, CONTAINS_ANY, CONTAINS_ALL, NOT_CONTAINS_ANY, STEM_MATCH, IN, NOT_IN, STARTS_WITH, ENDS_WITH, ANY, ALL, AFTER, BEFORE, ON_OR_AFTER, ON_OR_BEFORE, NONE, TOP}required value stringrequired Show child parameters |
formattingJSON object {string : array<JSON object>} |
conditional formatting
|
last_dimensionJSON object {string : string} |
Last dimesion values returned in previous request. If provided, API will seek from this poistion in saved pagination.
|
last_report_snapshot_idint64 |
The last report snapshot ID.
|
limitinteger |
The limit on number of data rows requested.
|
locked_dimensionsint64 | Default value: 0
The locked dimensions.
|
metricsarray<string> |
The metrics whose values are required.
|
offsetint64 |
Indicates the offset.
|
pagination_keystring |
Internal application pagination key. If provided, API will seek saved pagination.
|
sortingarray<JSON object> |
Represents the sorting fields and their sort directions.
field string
field
required direction enum {asc, desc}Default value: "desc"
direction
Show child parameters |
summary_countboolean |
Determine whether to return the count of all rows.
|
time_range{‘since’:YYYY-MM-DD,’until’:YYYY-MM-DD} |
The time range.
since datetime
A date in the format of "YYYY-MM-DD", which means from the beginning midnight of that day.
until datetime
A date in the format of "YYYY-MM-DD", which means to the beginning midnight of the following day.
Show child parameters |
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}
data
A list of AdsReportBuilder nodes.
paging
For more details about pagination, see the Graph API guide.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=__type__).
| Field | Description |
|---|---|
headersAdsReportBuilderHeader |
Contains the header information (includes dimensions, columns etc)
default |
rowslist<AdsReportBuilderRow> |
Contains data rows.
default |
total_countint32 |
Total number of rows
default |
Error Codes
| Error Code | Description |
|---|---|
2616 | The reporting data you are trying to fetch has too many rows. Please pull data for shorter time periods or use filters to restrict the number of ad IDs |
100 | Invalid parameter |
190 | Invalid OAuth 2.0 Access Token |
200 | Permissions error |
Creating
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.